package cd.casic.ci.process.enums;

import lombok.Getter;

import java.util.HashMap;
import java.util.Map;

@Getter
public enum PiplineTagEnum {
    DOC("2","文档"),
    NEW_FEATURE("3","新特性"),
    INVALID("4","无效"),
    NO_FIX("5","无需修复"),
    TEST_PASS("6","测试通过"),
    BUG("7","缺陷"),
    REPEAT("8","重复")
    ;
    private String code;
    private String msg;

    PiplineTagEnum(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }
    public static Map<String,PiplineTagEnum> getCodeMap(){
        Map<String,PiplineTagEnum> map = new HashMap<>();
        for (PiplineTagEnum value : values()) {
            map.put(value.code, value);
        }
        return map;
    }
}
